### Function

# GObject param_value_is_valid

since: 2.74

#### Declaration

    gboolean
    g_param_value_is_valid (
      GParamSpec* pspec,
      const GValue* value
    )

#### Description

Return whether the contents of `value` comply with the specifications set out by `pspec`.

Available since: 2.74

#### Parameters

`pspec`

  Type: `GParamSpec`

  A valid `GParamSpec`.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  A `GValue` of correct type for `pspec`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the contents of `value` comply with the specifications set out by `pspec`.